﻿-- Daily Global Check - Legion Rare Mobs plugin
-- Jadya EU-Well of Eternity

-- the copy of this data is forbidden.

-------------------------------------------
--- © 2016 Saregon All Rights Reserved. ---
-------------------------------------------

local addonName, addonTable = ...

local Z = DailyGlobalCheck.Z

local questsdata = {}

-- candidati
-- Achievement_Boss_HellFire_Kilrogg
-- 7.0
--ability_demonhunter_immolation
local mobs_icon = "Interface\\WorldMap\\Skull_64Red"
local mobs_icon_d = "Interface\\WorldMap\\Skull_64Blue"
local mobs_icon_r = "Interface\\WorldMap\\Skull_64Purple"
local mobs_icon_g = "Interface\\WorldMap\\Skull_64Green"

local list = {
 ["Title"] = "Legion Rare Mobs",
 ["Icon"]  = "Interface\\Icons\\Ability_Hunter_Camouflage",
 ["Version"] = 1004,
 ["Order"] = {
			    -- Azsuna
				{
				{Z[1015],37537,38037,44108,37726,37869,37989,37823,37821,42450,37820,37932,37824,42221,38217,37822,42069,42825,38061,38212,38238,38352,37928,38268,37909,44081},
				},
                -- Val'Sharah
			    {
				{Z[1018],38887,38468,38889,39596,38479,40126,39130,38780,39858,38767,38772,43176,39357,43446,43447,40079,40080,42816},
				},
				-- Highmountain
   			    {
				{Z[1024],39993,40681,39802,40414,39872,39465,39782,39784,40405,39994,40096,40347,40175,39646,40242,40413,39866,39235,40406,40084},
				},
                -- Stormheim
			    {
				{Z[1017],38472,38774,38333,38423,42591,38431,38425,38847,40081,38642,43342,38837,38685,43343,39120,39031,38625,38626,40068,42437,40113},
				{Z[1022],39870},
				},
				{{"a",1,2,3,4}},
                -- Suramar
			    {
				{Z[1033],41786,44003,43369,44072,43792,43580,43993,43597,43495,43954,41319,42831,41137,41135,41126,41136,41134,41142,40680,40399,40391},
				},
			 },
 }
 

local function GenerateData()

 local q = questsdata

 local azs = Z[1015]
 local val = Z[1018]
 local high= Z[1024]
 local dal = Z[1014]
 local sur = Z[1033]
 local sto = Z[1017]
 local hel = Z[1022]

 local cave_entrance = DailyGlobalCheck.template_cave_entrance

			 -------- The Broken Shore ---------

			 -------- Azsuna ---------
 q[37537] = {azs,"Ravyn-Drath"             ,nil,nil,{1015, 41   , 41.8 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129080:0:0:0:0:0:0:0:0:0:0:0:1:0|h[phalanx]|h"} -- 45 resources
 q[38037] = {azs,"Infernal Lord"           ,nil,nil,{1015, 35.3 , 50.3 },nil,1,mobs_icon,nil,nil,nil,nil,"Click on Cache of Infernals"} -- 70 resources
 q[44108] = {azs,"Ragemaw"                 ,nil,nil,{1015, 32.6 , 48.8 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129075:0:0:0:0:0:0:0:0:0:0:0:1:0|h[phalanx]|h"} -- 45 resources
 q[37726] = {azs,"Valyaka the Stormbringer",nil,nil,{1015, 47.3 , 34.6 },nil,1,mobs_icon} -- 20 power, 45 resources
 q[37869] = {azs,"Daggerbeak"              ,nil,nil,{1015, 50.8 , 31.6 },nil,1,mobs_icon} -- 20 power
 q[37989] = {azs,"Syphonus & Leodrath"     ,nil,nil,{1015, 67.1 , 51.4 },nil,1,mobs_icon} -- 20 power, 45 resources
 q[37823] = {azs,"Mrrgrl the Tide Reaver"  ,nil,nil,{1015, 50   , 34.4 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129072:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mrrgrl]|h"} -- 20 power
 q[37821] = {azs,"Captain Volo'ren"        ,nil,nil,{1015, 53.4 , 44   },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129066:0:0:0:0:0:0:0:0:0:0:0:1:0|h[captain]|h"} -- 20 power
 q[42450] = {azs,"Brawlgoth"               ,nil,nil,{1015, 55.1 , 45.9 },nil,1,mobs_icon} -- 20 power, 45 resources
 q[37820] = {azs,"Golza the Iron Fin"      ,nil,nil,{1015, 65.16, 40   },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129091:0:0:0:0:0:0:0:0:0:0:0:1:0|h[golza]|h;Use Horn of the Siren"} -- 45 resources
 q[37932] = {azs,"Arcavellus"              ,nil,nil,{1015, 59.6 , 12.3 },nil,1,mobs_icon,nil,nil,nil,nil,"Defeat waves at Unbound Rift"} -- 45 resources
 q[37824] = {azs,"Flog the Captain-Eater"  ,nil,nil,{1015, 45.3 , 57.8 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129090:0:0:0:0:0:0:0:0:0:0:0:1:0|h[flog]|h"} -- 45 resources
 q[42221] = {azs,"Chief Bitterbrine"       ,nil,nil,{1015, 65.54, 56.79},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129073:0:0:0:0:0:0:0:0:0:0:0:1:0|h[chief]|h"} -- 45 resources
 q[38217] = {azs,"Tide Behemoth"           ,nil,nil,{1015, 61.3 , 62   },nil,1,mobs_icon} -- 20 power, 70 resources
 q[37822] = {azs,"The Oracle"              ,nil,nil,{1015, 59.7 , 55.2 },nil,1,mobs_icon} -- 70 resources
 q[42069] = {azs,"Felwing"                 ,nil,nil,{1015, 43.54, 24.55},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129087:0:0:0:0:0:0:0:0:0:0:0:1:0|h[chief]|h;Speak with Npc"} -- 70 resources
 q[42825] = {azs,"Horkus"                  ,nil,nil,{1015, 56.28, 59.6 },nil,1,mobs_icon,nil,nil,nil,nil,"Speak with Npc while using Spectral Sight"} -- 20 power, 45 resources
 q[38061] = {azs,"Pridelord Meowl"         ,nil,nil,{1015, 56.04, 29.07},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:138395:0:0:0:0:0:0:0:0:0:0:0:1:0|h[chief]|h"} -- 45 resources
 q[38212] = {azs,"Brogozog"                ,nil,nil,{1015, 59.15, 46.49},nil,1,mobs_icon,nil,nil,nil,nil,"Speak with Npc"} -- 20 power, 45 resources
 q[38238] = {azs,"Beacher"                 ,nil,nil,{1015, 32.9 , 29.47},nil,1,mobs_icon,nil,nil,nil,nil,"Patrols"} -- 20 power 45 resources 
 q[38352] = {azs,"Doomlord Kazrok"         ,nil,nil,{1015, 43.21, 28.31},nil,1,mobs_icon,nil,nil,nil,nil,"Speak with NPC"} -- 45 resources
 q[37928] = {azs,"Normantis the Deposed"   ,nil,nil,{1015, 49.51, 8.76 },nil,1,mobs_icon,nil,nil,nil,nil,} -- 45 resources
 q[38268] = {azs,"Cailyn Paledoom"         ,nil,nil,{1015, 52.47, 22.88},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129063:0:0:0:0:0:0:0:0:0:0:0:1:0|h[name]|h"} -- 45 resources
 q[37909] = {azs,"Warbringer Mox'na"       ,nil,nil,{1015, 49   , 55.12},nil,1,mobs_icon,nil,nil,nil,nil,} -- 45 resources
 q[44081] = {azs,"Trecherous Stallions"    ,nil,nil,{1015, 50.51, 52.04, {desc="Cave Entrance at 60.4, 46.4"}, 1015, 60.4, 46.4, cave_entrance},nil,1,mobs_icon}

			 -------- Val'Sharah ---------
 q[38887] = {val,"Elindya Featherlight"          ,nil,nil,{1018, 60.35, 90.65},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130115:0:0:0:0:0:0:0:0:0:0:0:1:0|h[elindya]|h;Click on corpse to ress then follow her and kill Skul'vrax"} -- 45 resources
 q[38468] = {val,"Gorebeak"                      ,nil,nil,{1018, 59.7 , 77.4 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130154:0:0:0:0:0:0:0:0:0:0:0:1:0|h[gore]|h;Speak with Lorel Sagefeather to Summon Gorebeak"} -- 20 power, 45 resources
 q[38889] = {val,"Shivering Ashmaw Cub"          ,nil,nil,{1018, 52.78, 87.5 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:128690:0:0:0:0:0:0:0:0:0:0:0:1:0|h[cub]|h"} -- 20 power, 45 resources
 q[39596] = {val,"Perrexx the Corruptor"         ,nil,nil,{1018, 61.05, 69.4 },nil,1,mobs_icon} -- 45 resources
 q[38479] = {val,"Seersei"                       ,nil,nil,{1018, 41.9 , 78.1 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130171:0:0:0:0:0:0:0:0:0:0:0:1:0|h[seer]|h"} -- 45 resources
 q[40126] = {val,"Grelda the Hag"                ,nil,nil,{1018, 65.83, 53.5 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130122:0:0:0:0:0:0:0:0:0:0:0:1:0|h[grelda]|h"} -- 45 resources
 q[39130] = {val,"Pollous the Fetid"             ,nil,nil,{1018, 67.5 , 44.95},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130168:0:0:0:0:0:0:0:0:0:0:0:1:0|h[pollo]|h;Speak with Npc"} -- 45 resources
 q[38780] = {val,"Thondrax"                      ,nil,nil,{1018, 62.6 , 47.5 },nil,1,mobs_icon} -- 45 resources
 q[39858] = {val,"Dreadbog"                      ,nil,nil,{1018, 60.18, 44.22},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130125:0:0:0:0:0:0:0:0:0:0:0:1:0|h[dread]|h"} -- 70 resources
 q[38767] = {val,"Darkshade"                     ,nil,nil,{1018, 44.23, 52   },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130166:0:0:0:0:0:0:0:0:0:0:0:1:0|h[shade]|h"} -- 45 resources
 q[38772] = {val,"Theryssia"                     ,nil,nil,{1018, 38   , 52.8 },nil,1,mobs_icon} -- 20 power, 45 resources
 q[43176] = {val,"Undergrell Ringleader"         ,nil,nil,{1018, 67.04, 69.52},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130133:0:0:0:0:0:0:0:0:0:0:0:1:0|h[grell]|h;Trigger Old Bear trap"} -- 45 resources
 q[39357] = {val,"Mad Henryk"                    ,nil,nil,{1018, 47.22, 58.01},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130214:0:0:0:0:0:0:0:0:0:0:0:1:0|h[henryk]|h"} -- 45 resources
 q[43446] = {val,"Bahagar"                       ,nil,nil,{1018, 45.54, 88.8 },nil,1,mobs_icon} -- 45 resources
 q[43447] = {val,"Wraithtalon"                   ,nil,nil,{1018, 66.67, 36.89},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130133:0:0:0:0:0:0:0:0:0:0:0:1:0|h[grell]|h;Trigger Old Bear trap"} -- 45 resources
 q[40079] = {val,"Lyrath Moonfeather"            ,nil,nil,{1018, 61.84, 29.68},nil,1,mobs_icon}
 q[40080] = {val,"Ironbranch"                    ,nil,nil,{1018, 58.94, 34.05},nil,1,mobs_icon}
 q[42816] = {val,"Maxwell Caprina"               ,nil,nil,{1018, 41.92, 59.98},nil,1,mobs_icon,nil,nil,nil,nil,"Speak with Npc while using Spectral Sight"}
 
			 -------- Highmountain ---------
 q[39993] = {high,"Flamescale"           ,nil,nil,{1024, 41   , 57.7},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:131773:0:0:0:0:0:0:0:0:0:0:0:1:0|h[flame]|h;Use Abandoned Fishing Pole"} -- 45 resources
 q[40681] = {high,"Sekhan"              ,nil,nil,{1024, 45.7 , 55  },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:131730:0:0:0:0:0:0:0:0:0:0:0:1:0|h[flame]|h"} -- 20 power
 q[39802] = {high,"Hartli the Snatcher" ,nil,nil,{1024, 51.07, 48.25},nil,1,mobs_icon} -- 20 power 45 resources
 -- 40414 mappa dungeon non ancora disponibile
 q[40414] = {high,"Devouring Darkness"  ,nil,nil,{1024, 54.39, 41.12, --[[level]]nil, 1024, 55.13, 44.3, cave_entrance},nil,1,mobs_icon,nil,nil,nil,nil,"Blow the candles out"} -- 45 resources
 q[39872] = {high,"Taurson"             ,nil,nil,{1024, 53.75, 51.23},nil,1,mobs_icon,nil,nil,nil,nil,"Loot chest after defeating him"} -- 45 resources
 q[39465] = {high,"Skullhat"            ,nil,nil,{1024, 51.46, 31.89},nil,1,mobs_icon} -- 45 resources
 q[39782] = {high,"Tenpak Flametotem"   ,nil,nil,{1024, 41.94, 41.49},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129175:0:0:0:0:0:0:0:0:0:0:0:1:0|h[tenpak]|h"} -- 100 resources
 q[39784] = {high,"Beastmaster Pao'lek" ,nil,nil,{1024, 48.6 , 50   },nil,1,mobs_icon} -- 45 resources
 q[40405] = {high,"Bristlemaw"          ,nil,nil,{1024, 37.7 , 45.7 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:131761:0:0:0:0:0:0:0:0:0:0:0:1:0|h[bristle]|h"} -- 45 resources
 q[39994] = {high,"Crab Rider Grmlrml"  ,nil,nil,{1024, 44.2 , 12.1 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:131798:0:0:0:0:0:0:0:0:0:0:0:1:0|h[crab]|h;Patrols"} -- 20 power 45 resources
 q[40096] = {high,"Mrrklr"              ,nil,nil,{1024, 46.5 , 7.44 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:131797:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mrrk]|h"} -- 45 resources
 q[40347] = {high,"Gurbog da Basher"    ,nil,nil,{1024, 56.4 , 60.5 },nil,1,mobs_icon,nil,nil,nil,nil,"Patrols"} -- 45 resources
 q[40175] = {high,"Slumber"             ,nil,nil,{1024, 41.51, 31.84},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:131921:0:0:0:0:0:0:0:0:0:0:0:1:0|h[slumber]|h"} -- 45 resources
 q[39646] = {high,"Majestic Elderhorn"  ,nil,nil,{1024, 46.64, 31.44},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:131900:0:0:0:0:0:0:0:0:0:0:0:1:0|h[majestic]|h"} -- 45 resources
 q[40242] = {high,"Mellok, Son of Torok",nil,nil,{1024, 49.2 , 27.09},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:131808:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mellok]|h"} -- 45 resources
 q[40413] = {high,"Amateur hunters"     ,nil,nil,{1024, 43.16, 48   },nil,1,mobs_icon,nil,nil,nil,nil,"Loot chest after defeating them"} -- 45 resources
 q[40773] = {high,"Frostshard"          ,nil,nil,{1024, 54.44, 74.54},nil,1,mobs_icon,nil,nil,nil,nil,"Elite 110"} -- 45 resources
 q[39866] = {high,"Mynta Talonscreech"  ,nil,nil,{1024, 54.55, 40.6 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:131792:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mynta]|h;Speak with Npc"} -- 100 resources
 q[37825] = {high,"Defilia"             ,nil,nil,{1024, 56.81, 48.69},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129101:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mynta]|h;Speak with Npc"}
 q[39235] = {high,"Brogrul the Mighty"  ,nil,nil,{1024, 56.34, 72.53},nil,1,mobs_icon}
 q[40406] = {high,"Luggut the Eggeater" ,nil,nil,{1024, 50.83, 34.65},nil,1,mobs_icon}
 q[40084] = {high,"Bodash the Hoarder"  ,nil,nil,{1024, 36.7 , 16.36},nil,1,mobs_icon}

 
			 -------- Stormheim ---------
 q[38472] = {sto,"Whitewater Typhoon"     ,nil,nil,{1017, 36.5 , 52.5 },nil,1,mobs_icon} -- 45 resources
 q[38774] = {sto,"Tiptog the Lost"        ,nil,nil,{1017, 47.17, 49.83},nil,1,mobs_icon} -- 45 resources
 q[38333] = {sto,"Glimar Ironfist"        ,nil,nil,{1017, 41.47, 67.02},nil,1,mobs_icon} -- 45 resources
 q[38423] = {sto,"Stormdrake Matriarch"   ,nil,nil,{1017, 49.5 , 71.75},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129208:0:0:0:0:0:0:0:0:0:0:0:1:0|h[matri]|h"} -- 45 resources
 q[42591] = {sto,"Hannval the Butcher"    ,nil,nil,{1017, 51.6 , 74.65},nil,1,mobs_icon} -- 20 power 45 resources
 q[38431] = {sto,"Bladesquall"            ,nil,nil,{1017, 45.87, 77.36},nil,1,mobs_icon} -- 70 resources
 q[38425] = {sto,"Fathnyr"                ,nil,nil,{1017, 46.82, 84.06},nil,1,mobs_icon} -- 20 power 45 resources
 q[38847] = {sto,"Urgev the Flayer"       ,nil,nil,{1017, 64.8 , 51.76},nil,1,mobs_icon} -- 20 power 45 resources
 q[40081] = {sto,"Tarben"                 ,nil,nil,{1017, 61.53, 43.33},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129199:0:0:0:0:0:0:0:0:0:0:0:1:0|h[tarben]|h"} -- 45 resources
 q[38642] = {sto,"Captain Brvet"          ,nil,nil,{1017, 58   , 45.16},nil,1,mobs_icon} -- 45 resources
 q[43342] = {sto,"Roteye"                 ,nil,nil,{1017, 58.35, 33.92},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:139387:0:0:0:0:0:0:0:0:0:0:0:1:0|h[roteye]|h"} -- 45 resources
 q[38837] = {sto,"Mordvigbjorn"           ,nil,nil,{1017, 72.5 , 49.91},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129035:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mord]|h"} -- 20 power 45 resources
 q[38685] = {sto,"The Nameless King"      ,nil,nil,{1017, 67.3 , 39.9 },nil,1,mobs_icon} -- 45 resources
 q[43343] = {sto,"Dread-Rider Cortis"     ,nil,nil,{1017, 73.9 , 60.6 },nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130134:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mellok]|h"} -- 45 resources
 q[39120] = {sto,"Isel the Hammer"        ,nil,nil,{1017, 62.03, 60.49},nil,1,mobs_icon} -- 45 resources
 q[39031] = {sto,"Ivory Sentinel"         ,nil,nil,{1017, 59.82, 68.07},nil,1,mobs_icon} -- 45 resources
 q[38625] = {sto,"Hook"                   ,nil,nil,{1017, 42   , 57.75},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129109:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mellok]|h"} -- 45 resources
 q[38626] = {sto,"Bloodstalker Alpha"     ,nil,nil,{1017, 37.95, 40.15},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129101:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mellok]|h"} -- 45 resources
 q[40068] = {sto,"Egyl the Enduring"      ,nil,nil,{1017, 41.78, 34.12},nil,1,mobs_icon} -- 45 resources
 q[42437] = {sto,"Starbuck"               ,nil,nil,{1017, 54.76, 29.36},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:130132:0:0:0:0:0:0:0:0:0:0:0:1:0|h[mellok]|h"} -- 45 resources
 q[40113] = {sto,"Grrvrgull the Conqueror",nil,nil,{1017, 78.67, 61.16},nil,1,mobs_icon} -- 45 resources

 q[1] = {sto,"a",nil,nil,{1017, 35.42, 18.48},nil,1} -- 45 resources
 q[2] = {sto,"a",nil,nil,{1017, 44.28, 22.8},nil,1} -- 45 resources
 q[3] = {sto,"a",nil,nil,{1017, 47.16, 57.13},nil,1} -- 45 resources
 q[4] = {sto,"a",nil,nil,{1017, 58.42, 75.64},nil,1} -- 45 resources

 
 -- Helheim
 q[39870] = {hel,"Soulthirster"      ,nil,nil,{1022, 28.11, 63.39},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:129188:0:0:0:0:0:0:0:0:0:0:0:1:0|h[soul]|h"} -- 45 resources
 
 --[[q[40067] = {sto,"Boulderfall"          ,nil,nil,{000, 00,00},nil,1,mobs_icon}
 q[40068] = {sto,"Egyl the Enduring"    ,nil,nil,{000, 00,00},nil,1,mobs_icon}
 q[40100] = {sto,"Eileen the Raven"     ,nil,nil,{000, 00,00},nil,1,mobs_icon}
 q[40097] = {sto,"Sunbreeze"            ,nil,nil,{000, 00,00},nil,1,mobs_icon}
 q[40939] = {sto,"Stormwing Matriarch"  ,nil,nil,{000, 00,00},nil,1,mobs_icon}
  -- Helheim
 q[38451] = {sto,"Geir Gutslice"        ,nil,nil,{000, 00,00},nil,1,mobs_icon}
 q[38461] = {sto,"Guarms Mate (Fenri)"  ,nil,nil,{000, 00,00},nil,1,mobs_icon}
 q[38398] = {sto,"Helyra's Kraken"      ,nil,nil,{000, 00,00},nil,1,mobs_icon}
 ]]

			 -------- Suramar ---------                
 q[41786] = {sur,"King Morgalash"     ,nil,nil,{1033, 88.2 , 62.6 },nil,1,mobs_icon,nil,nil,nil,nil,"Use object"} -- ap 25, or 45
 q[44003] = {sur,"Reef Lord Raj'his"  ,nil,nil,{1033, 44.94, 57.25},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:121801:0:0:0:0:0:0:0:0:0:0:0:1:0|h[reef]|h"} -- ap 20, or 45, am 1
 q[43369] = {sur,"Siegemaster Aedrin" ,nil,nil,{1033, 38.87, 24.12},nil,1,mobs_icon} -- ap 20, or 45, am 75
 -- 43358+44071 myonix/maia the white wolf
 q[44072] = {sur,"Maia the White"     ,nil,nil,{1033, 24.35, 35.19},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:139897:0:0:0:0:0:0:0:0:0:0:0:1:0|h[maia]|h"} -- or 45, am 3
 q[43792] = {sur,"Degren"             ,nil,nil,{1033, 54.41, 56.13},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:121808:0:0:0:0:0:0:0:0:0:0:0:1:0|h[maia]|h"} -- or 45, am 3
 q[43580] = {sur,"Apothecary Faldren" ,nil,nil,{1033, 42.2 , 56.33},nil,1,mobs_icon} -- or 45
 q[43993] = {sur,"Hertha Grimdottir"  ,nil,nil,{1033, 61.3 , 39.6 },nil,1,mobs_icon} -- or 45
 q[43597] = {sur,"Guardian Thor'el"   ,nil,nil,{1033, 59.75, 52   },nil,1,mobs_icon,nil,nil,nil,nil,"Patrols"} -- or 45, am 77
 q[43495] = {sur,"Cadreus"            ,nil,nil,{1033, 63   , 48   },nil,1,mobs_icon} -- or 45
 q[43954] = {sur,"Anax"               ,nil,nil,{1033, 33.63, 51.83},nil,1,mobs_icon,nil,nil,nil,nil,"|Hitem:140934:0:0:0:0:0:0:0:0:0:0:0:1:0|h[Anax]|h"} -- 45 resources 

 q[41319] = {sur,"Elfbane"            ,nil,nil,nil,nil,1,mobs_icon}
 q[42831] = {sur,"Shal'an"            ,nil,nil,nil,nil,1,mobs_icon}
 q[41137] = {sur,"Cora'kar"           ,nil,nil,nil,nil,1,mobs_icon}
 q[41126] = {sur,"Flotsam"            ,nil,nil,nil,nil,1,mobs_icon}
 q[41136] = {sur,"Har'kess"           ,nil,nil,nil,nil,1,mobs_icon}
 q[41134] = {sur,"Jetsam"             ,nil,nil,nil,nil,1,mobs_icon}
 q[41142] = {sur,"Khory"              ,nil,nil,nil,nil,1,mobs_icon}
 q[40680] = {sur,"Rok'nash"           ,nil,nil,nil,nil,1,mobs_icon}
 q[40399] = {sur,"Sailor's Nightmare" ,nil,nil,nil,nil,1,mobs_icon}
 q[40391] = {sur,"Whale Shark"        ,nil,nil,nil,nil,1,mobs_icon}
end

list.GenerateData = GenerateData
DailyGlobalCheck:LoadPlugin(list, questsdata)